<?php
/**
 * Plugin Name: Quest Link Processor
 * Description: Processes special links (quest://current-page) in WordPress blocks to open the current page on a Meta Quest VR headset.
 * Version: 1.0.0
 * Author: Your Name
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

function quest_link_processor_init() {
    // Enqueue JavaScript
    wp_enqueue_script(
        'quest-link-processor',
        plugins_url( 'quest-link-processor.js', __FILE__ ),
        array(),
        '1.0.0',
        true
    );

    // Localize script with REST API details
    wp_localize_script(
        'quest-link-processor',
        'questLinkProcessor',
        array(
            'restUrl' => rest_url(),
            'nonce' => wp_create_nonce( 'wp_rest' ),
        )
    );

    // Enqueue CSS
    wp_enqueue_style(
        'quest-link-processor',
        plugins_url( 'quest-link-processor.css', __FILE__ ),
        array(),
        '1.0.0'
    );
}
add_action( 'wp_enqueue_scripts', 'quest_link_processor_init' );